org.apache.hadoop.io.serializer

## Class WritableSerialization

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.io.serializer.WritableSerialization

- All Implemented Interfaces:
    Configurable, org.apache.hadoop.io.serializer.Serialization<Writable>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class WritableSerialization
      extends Configured
      implements org.apache.hadoop.io.serializer.Serialization<Writable>

  A `Serialization` for `Writable`s that delegates to `Writable.write(java.io.DataOutput)` and `Writable.readFields(java.io.DataInput)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableSerialization()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.serializer.Serialization

      `accept, getDeserializer, getSerializer`

- - ### Constructor Detail

    - #### WritableSerialization

          public WritableSerialization()

Copyright © 2022 Apache Software Foundation. All rights reserved.